get.refentry.manual
Prev | Common » Refentry Metadata Template Reference | Next

## get.refentry.manual

get.refentry.manual — Gets source metadata for a refentry

## Synopsis

    <xsl:template name="get.refentry.manual">
    <xsl:param name="refname"/>
    <xsl:param name="info"/>
    <xsl:param name="prefs"/>
      ...
    </xsl:template>

## Description

The `man(7)` man page describes this as "the title of the manual (e.g., Linux Programmer's Manual)". Here are some examples from existing man pages:

- dpkg utilities (dpkg-name)

- User Contributed Perl Documentation (GET)

- GNU Development Tools (ld)

- Emperor Norton Utilities (ddate)

- Debian GNU/Linux manual (faked)

- GIMP Manual Pages (gimp)

- KDOC Documentation System (qt2kdoc)

The `solbook(5)` man page describes something very much like what `man(7)` calls "manual", except that `solbook(5)` names it "sectdesc" and describes it like this:

> This is the section title of the reference page; for example `User Commands`.

## Parameters

refname

  The first `refname` in the refentry

info

  A set of info nodes (from a `refentry` element and its ancestors)

prefs

  A node containing users preferences (from global stylesheet parameters)

## Returns

Returns a `manual` node.

Prev | Up | Next
get.refentry.version | Home | get.refentry.metadata.prefs